/*
 * Copyright 2013 Google Inc.

 * Use of this source code is governed by a BSD-style license that can be
 * found in the LICENSE file.
 */

#include "SkPdfHeaders_autogen.h"
#include "SkPdfJavascriptActionDictionary_autogen.cpp"
#include "SkPdfMovieAnnotationDictionary_autogen.cpp"
#include "SkPdfMetadataStreamDictionary_autogen.cpp"
#include "SkPdfPageTreeNodeDictionary_autogen.cpp"
#include "SkPdfWebCaptureCommandDictionary_autogen.cpp"
#include "SkPdfAnnotationActionsDictionary_autogen.cpp"
#include "SkPdfInkAnnotationDictionary_autogen.cpp"
#include "SkPdfWindowsLaunchActionDictionary_autogen.cpp"
#include "SkPdfBeadDictionary_autogen.cpp"
#include "SkPdfPageObjectDictionary_autogen.cpp"
#include "SkPdfType16HalftoneDictionary_autogen.cpp"
#include "SkPdfWebCaptureCommandSettingsDictionary_autogen.cpp"
#include "SkPdfFontDescriptorDictionary_autogen.cpp"
#include "SkPdfLaunchActionDictionary_autogen.cpp"
#include "SkPdfType3FontDictionary_autogen.cpp"
#include "SkPdfMovieActionDictionary_autogen.cpp"
#include "SkPdfBorderStyleDictionary_autogen.cpp"
#include "SkPdfNamedActionsDictionary_autogen.cpp"
#include "SkPdfLzwdecodeAndFlatedecodeFiltersDictionary_autogen.cpp"
#include "SkPdfTrueTypeFontDictionary_autogen.cpp"
#include "SkPdfJavascriptDictionary_autogen.cpp"
#include "SkPdfFDFTrailerDictionary_autogen.cpp"
#include "SkPdfMultiMasterFontDictionary_autogen.cpp"
#include "SkPdfEmbeddedFileStreamDictionary_autogen.cpp"
#include "SkPdfAppearanceDictionary_autogen.cpp"
#include "SkPdfRadioButtonFieldDictionary_autogen.cpp"
#include "SkPdfType6HalftoneDictionary_autogen.cpp"
#include "SkPdfFDFNamedPageReferenceDictionary_autogen.cpp"
#include "SkPdfWebCaptureImageSetDictionary_autogen.cpp"
#include "SkPdfBlockLevelStructureElementsDictionary_autogen.cpp"
#include "SkPdfViewerPreferencesDictionary_autogen.cpp"
#include "SkPdfType3FunctionDictionary_autogen.cpp"
#include "SkPdfFieldDictionary_autogen.cpp"
#include "SkPdfAnnotationDictionary_autogen.cpp"
#include "SkPdfSoftMaskDictionary_autogen.cpp"
#include "SkPdfType1HalftoneDictionary_autogen.cpp"
#include "SkPdfActionDictionary_autogen.cpp"
#include "SkPdfDocumentInformationDictionary_autogen.cpp"
#include "SkPdfStructureElementDictionary_autogen.cpp"
#include "SkPdfIccProfileStreamDictionary_autogen.cpp"
#include "SkPdfType1FontDictionary_autogen.cpp"
#include "SkPdfTextFieldDictionary_autogen.cpp"
#include "SkPdfGroupAttributesDictionary_autogen.cpp"
#include "SkPdfFileSpecificationDictionary_autogen.cpp"
#include "SkPdfRubberStampAnnotationDictionary_autogen.cpp"
#include "SkPdfSoftMaskImageDictionary_autogen.cpp"
#include "SkPdfTrapNetworkAnnotationDictionary_autogen.cpp"
#include "SkPdfRemoteGoToActionDictionary_autogen.cpp"
#include "SkPdfMarkInformationDictionary_autogen.cpp"
#include "SkPdfComponentsWithMetadataDictionary_autogen.cpp"
#include "SkPdfAlternateImageDictionary_autogen.cpp"
#include "SkPdfArtifactsDictionary_autogen.cpp"
#include "SkPdfPrinterMarkFormDictionary_autogen.cpp"
#include "SkPdfFreeTextAnnotationDictionary_autogen.cpp"
#include "SkPdfLineAnnotationDictionary_autogen.cpp"
#include "SkPdfFDFFileAnnotationDictionary_autogen.cpp"
#include "SkPdfWebCaptureDictionary_autogen.cpp"
#include "SkPdfPageObjectActionsDictionary_autogen.cpp"
#include "SkPdfSeparationDictionary_autogen.cpp"
#include "SkPdfTextAnnotationDictionary_autogen.cpp"
#include "SkPdfType3ShadingDictionary_autogen.cpp"
#include "SkPdfURLAliasDictionary_autogen.cpp"
#include "SkPdfListAttributeDictionary_autogen.cpp"
#include "SkPdfResourceDictionary_autogen.cpp"
#include "SkPdfNameTreeNodeDictionary_autogen.cpp"
#include "SkPdfIconFitDictionary_autogen.cpp"
#include "SkPdfImportDataActionDictionary_autogen.cpp"
#include "SkPdfTransparencyGroupDictionary_autogen.cpp"
#include "SkPdfInteractiveFormDictionary_autogen.cpp"
#include "SkPdfMovieActivationDictionary_autogen.cpp"
#include "SkPdfPageLabelDictionary_autogen.cpp"
#include "SkPdfLabColorSpaceDictionary_autogen.cpp"
#include "SkPdfFDFCatalogDictionary_autogen.cpp"
#include "SkPdfALinkAnnotationDictionary_autogen.cpp"
#include "SkPdfAppearanceCharacteristicsDictionary_autogen.cpp"
#include "SkPdfTransitionDictionary_autogen.cpp"
#include "SkPdfApplicationDataDictionary_autogen.cpp"
#include "SkPdfFileAttachmentAnnotationDictionary_autogen.cpp"
#include "SkPdfGraphicsStateDictionary_autogen.cpp"
#include "SkPdfType0FontDictionary_autogen.cpp"
#include "SkPdfMacOsFileInformationDictionary_autogen.cpp"
#include "SkPdfWebCapturePageSetDictionary_autogen.cpp"
#include "SkPdfNumberTreeNodeDictionary_autogen.cpp"
#include "SkPdfURIActionDictionary_autogen.cpp"
#include "SkPdfVariableTextFieldDictionary_autogen.cpp"
#include "SkPdfJbig2DecodeFilterDictionary_autogen.cpp"
#include "SkPdfSourceInformationDictionary_autogen.cpp"
#include "SkPdfFDFDictionary_autogen.cpp"
#include "SkPdfThreadActionDictionary_autogen.cpp"
#include "SkPdfReferenceDictionary_autogen.cpp"
#include "SkPdfEncodingDictionary_autogen.cpp"
#include "SkPdfFDFFieldDictionary_autogen.cpp"
#include "SkPdfAttributeObjectDictionary_autogen.cpp"
#include "SkPdfCIDSystemInfoDictionary_autogen.cpp"
#include "SkPdfMarkedContentReferenceDictionary_autogen.cpp"
#include "SkPdfResetFormActionDictionary_autogen.cpp"
#include "SkPdfDictionary_autogen.cpp"
#include "SkPdfCalgrayColorSpaceDictionary_autogen.cpp"
#include "SkPdfSquareOrCircleAnnotation_autogen.cpp"
#include "SkPdfTableAttributesDictionary_autogen.cpp"
#include "SkPdfSubmitFormActionDictionary_autogen.cpp"
#include "SkPdfType2FunctionDictionary_autogen.cpp"
#include "SkPdfCheckboxFieldDictionary_autogen.cpp"
#include "SkPdfBoxStyleDictionary_autogen.cpp"
#include "SkPdfType1PatternDictionary_autogen.cpp"
#include "SkPdfPagePieceDictionary_autogen.cpp"
#include "SkPdfEncryptedEmbeddedFileStreamDictionary_autogen.cpp"
#include "SkPdfType2ShadingDictionary_autogen.cpp"
#include "SkPdfMarkupAnnotationsDictionary_autogen.cpp"
#include "SkPdfPopUpAnnotationDictionary_autogen.cpp"
#include "SkPdfFormFieldActionsDictionary_autogen.cpp"
#include "SkPdfTrapNetworkAppearanceStreamDictionary_autogen.cpp"
#include "SkPdfSoundObjectDictionary_autogen.cpp"
#include "SkPdfOutlineItemDictionary_autogen.cpp"
#include "SkPdfCIDFontDescriptorDictionary_autogen.cpp"
#include "SkPdfCMapDictionary_autogen.cpp"
#include "SkPdfType2PatternDictionary_autogen.cpp"
#include "SkPdfPSXobjectDictionary_autogen.cpp"
#include "SkPdfOutlineDictionary_autogen.cpp"
#include "SkPdfThreadDictionary_autogen.cpp"
#include "SkPdfImageDictionary_autogen.cpp"
#include "SkPdfCIDFontDictionary_autogen.cpp"
#include "SkPdfType5ShadingDictionary_autogen.cpp"
#include "SkPdfType5HalftoneDictionary_autogen.cpp"
#include "SkPdfOpiVersionDictionary_autogen.cpp"
#include "SkPdfStructureElementAccessDictionary_autogen.cpp"
#include "SkPdfDocumentCatalogActionsDictionary_autogen.cpp"
#include "SkPdfDeviceNColorSpaceDictionary_autogen.cpp"
#include "SkPdfMovieDictionary_autogen.cpp"
#include "SkPdfWidgetAnnotationDictionary_autogen.cpp"
#include "SkPdfShadingDictionary_autogen.cpp"
#include "SkPdfCatalogDictionary_autogen.cpp"
#include "SkPdfStructureTreeRootDictionary_autogen.cpp"
#include "SkPdfType6ShadingDictionary_autogen.cpp"
#include "SkPdfFileTrailerDictionary_autogen.cpp"
#include "SkPdfFDFTemplateDictionary_autogen.cpp"
#include "SkPdfEmbeddedFileParameterDictionary_autogen.cpp"
#include "SkPdfBoxColorInformationDictionary_autogen.cpp"
#include "SkPdfXObjectDictionary_autogen.cpp"
#include "SkPdfGoToActionDictionary_autogen.cpp"
#include "SkPdfObjectReferenceDictionary_autogen.cpp"
#include "SkPdfNameDictionary_autogen.cpp"
#include "SkPdfWebCaptureInformationDictionary_autogen.cpp"
#include "SkPdfStreamCommonDictionary_autogen.cpp"
#include "SkPdfDctdecodeFilterDictionary_autogen.cpp"
#include "SkPdfPrinterMarkAnnotationDictionary_autogen.cpp"
#include "SkPdfStandardStructureDictionary_autogen.cpp"
#include "SkPdfEncryptionCommonDictionary_autogen.cpp"
#include "SkPdfStandardSecurityHandlerDictionary_autogen.cpp"
#include "SkPdfSoundAnnotationDictionary_autogen.cpp"
#include "SkPdfPDF_XOutputIntentDictionary_autogen.cpp"
#include "SkPdfType4ShadingDictionary_autogen.cpp"
#include "SkPdfSoundActionDictionary_autogen.cpp"
#include "SkPdfInlineLevelStructureElementsDictionary_autogen.cpp"
#include "SkPdfType10HalftoneDictionary_autogen.cpp"
#include "SkPdfEmbeddedFontStreamDictionary_autogen.cpp"
#include "SkPdfType1ShadingDictionary_autogen.cpp"
#include "SkPdfChoiceFieldDictionary_autogen.cpp"
#include "SkPdfCcittfaxdecodeFilterDictionary_autogen.cpp"
#include "SkPdfType1FormDictionary_autogen.cpp"
#include "SkPdfFontDictionary_autogen.cpp"
#include "SkPdfFunctionCommonDictionary_autogen.cpp"
#include "SkPdfHideActionDictionary_autogen.cpp"
#include "SkPdfURIDictionary_autogen.cpp"
#include "SkPdfSignatureDictionary_autogen.cpp"
#include "SkPdfType0FunctionDictionary_autogen.cpp"
#include "SkPdfFDFPageDictionary_autogen.cpp"
#include "SkPdfCalrgbColorSpaceDictionary_autogen.cpp"
